| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
LPC18xx/43xx emWin Hello World example
emWin GUI examples

## Detailed Description

Example description
This example shows how to setup emWin and do simple graphics. Prior to building this example, the emWin libraries need to be built.

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC18xx/43xx example quickstart for Keil uVision4
LPC18xx/43xx example quickstart for IAR EWARM
LPC18xx/43xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Keil 1857 evaluation boards
Keil 4357 evaluation boards

Submitting LPCOpen issues:
Community support for LPCOpen

## Macros
#define | LCD_WIDTH BOARD_LCD.PPL
#define | LCD_HEIGHT BOARD_LCD.LPP
#define | GUI_BUF LOCATE_AT(GUI_BUF_ADDR)
| GUI buffers required for emwin library.
#define | GUI_BUF_ADDR 0x28050000
#define | GUI_NUMBYTES ((1024 * 1024) * 2)

## Functions
static void | lcdDelay (uint32_t delay)
static void | lcdInit (void)
void | SysTick_Handler (void)
| Systick handler.
int | main (void)
| Main routine for emWni Hello World example.

## Variables
U32 | GUI_Memory_Size = GUI_NUMBYTES
U32 | GUI_Block_Size = 0x128
GUI_BUF U32 | GUI_Memory [GUI_NUMBYTES/sizeof(U32)]
volatile uint32_t | systick_timems
| System Tick count value.

## Macro Definition Documentation

#define GUI_BUF LOCATE_AT(GUI_BUF_ADDR)

GUI buffers required for emwin library.

Definition at line 86 of file main.c.

#define GUI_BUF_ADDR 0x28050000

Definition at line 87 of file main.c.

#define GUI_NUMBYTES ((1024 * 1024) * 2)

Definition at line 88 of file main.c.

#define LCD_HEIGHT BOARD_LCD.LPP

Definition at line 64 of file main.c.

#define LCD_WIDTH BOARD_LCD.PPL

Definition at line 63 of file main.c.

## Function Documentation

static void lcdDelay | ( | uint32_t | delay | ) |
| static

Definition at line 103 of file main.c.

static void lcdInit | ( | void |  | ) |
| static

Definition at line 110 of file main.c.

int main | ( | void |  | ) |

Main routine for emWni Hello World example.

Main program body.

Returns
  Nothing

Definition at line 142 of file main.c.

void SysTick_Handler | ( | void |  | ) |

Systick handler.

SysTick 1mS tick handler.

Returns
  Nothing

Definition at line 133 of file main.c.

## Variable Documentation

U32 GUI_Block_Size = 0x128

GUI block size

Definition at line 90 of file main.c.

GUI_BUF U32 GUI_Memory[GUI_NUMBYTES/sizeof(U32)]

GUI buffer

Definition at line 91 of file main.c.

U32 GUI_Memory_Size = GUI_NUMBYTES

GUI buffer size

Definition at line 89 of file main.c.

volatile uint32_t systick_timems

System Tick count value.

Systick 1mS clock required for emWin time functions

Definition at line 96 of file main.c.